## keystone-tempest-plugin 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

# xml parsing
lxml!=3.7.0,>=3.4.1 # BSD
tempest>=17.1.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
testtools>=2.2.0 # MIT
six>=1.10.0 # MIT
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
keystone-tempest-plugin (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:02:01 +0200

keystone-tempest-plugin (0.4.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958677).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/control ===
Source: keystone-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-lxml (>= 3.4.1),
 python3-oslo.config,
 python3-testtools,
 python3-six,
 python3-requests,
 tempest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/keystone-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/keystone-tempest-plugin.git
Homepage: https://opendev.org/openstack/keystone-tempest-plugin

Package: keystone-tempest-plugin
Architecture: all
Depends:
 python3-lxml (>= 3.4.1),
 python3-oslo.config,
 python3-testtools,
 python3-six,
 python3-requests,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Keystone plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Keystone plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/keystone-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## keystone-tempest-plugin 0.5.0

=== debian/changelog ===
keystone-tempest-plugin (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:35:47 +0200

keystone-tempest-plugin (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:33:15 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-lxml (>= 3.4.1),
  python3-oslo.config,
  python3-testtools,
- python3-six,
  python3-requests,
  tempest,
 Standards-Version: 4.5.0
@@ -29,7 +28,6 @@
  python3-lxml (>= 3.4.1),
  python3-oslo.config,
  python3-testtools,
- python3-six,
  python3-requests,
  tempest,
  ${misc:Depends},

## keystone-tempest-plugin 0.8.0

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,4 @@
 tempest>=17.1.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 testtools>=2.2.0 # MIT
-six>=1.10.0 # MIT
 requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
keystone-tempest-plugin (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:37:57 +0200

keystone-tempest-plugin (0.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:32:34 +0200

keystone-tempest-plugin (0.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:51:57 +0200

keystone-tempest-plugin (0.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 17:17:21 +0200

keystone-tempest-plugin (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
- python3-lxml (>= 3.4.1),
+ python3-lxml,
  python3-oslo.config,
  python3-testtools,
  python3-requests,
  tempest,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/keystone-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/keystone-tempest-plugin.git
 Homepage: https://opendev.org/openstack/keystone-tempest-plugin
@@ -25,7 +25,7 @@
 Package: keystone-tempest-plugin
 Architecture: all
 Depends:
- python3-lxml (>= 3.4.1),
+ python3-lxml,
  python3-oslo.config,
  python3-testtools,
  python3-requests,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/keystone-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
#	pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## keystone-tempest-plugin 0.9.0

=== debian/changelog ===
keystone-tempest-plugin (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 21:31:54 +0100

keystone-tempest-plugin (0.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2022 12:54:47 +0100

## keystone-tempest-plugin 0.10.0

=== debian/changelog ===
keystone-tempest-plugin (0.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:19:37 +0200

keystone-tempest-plugin (0.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 11:45:01 +0200

## keystone-tempest-plugin 0.12.0

=== debian/changelog ===
keystone-tempest-plugin (0.12.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048428).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 10:48:41 +0200

keystone-tempest-plugin (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:42:46 +0200

keystone-tempest-plugin (0.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-keystoneauth1 as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 15:41:12 +0100

keystone-tempest-plugin (0.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:33:51 +0100

## keystone-tempest-plugin 0.13.0

=== debian/changelog ===
keystone-tempest-plugin (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:44:09 +0200

keystone-tempest-plugin (0.13.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 14:30:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## keystone-tempest-plugin 0.14.0

=== debian/changelog ===
keystone-tempest-plugin (0.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:09:37 +0200

keystone-tempest-plugin (0.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:51:44 +0100

## keystone-tempest-plugin 0.17.0

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 # xml parsing
+keystoneauth1>=5.1.1 # Apache-2.0
 lxml!=3.7.0,>=3.4.1 # BSD
 tempest>=17.1.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
keystone-tempest-plugin (0.17.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090426).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:32:15 +0100

keystone-tempest-plugin (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:55:42 +0200

keystone-tempest-plugin (0.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 18:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
+ python3-keystoneauth1 (>= 5.1.1),
  python3-lxml,
  python3-oslo.config,
+ python3-requests,
  python3-testtools,
- python3-requests,
  tempest,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/keystone-tempest-plugin
@@ -25,10 +26,11 @@
 Package: keystone-tempest-plugin
 Architecture: all
 Depends:
+ python3-keystoneauth1 (>= 5.1.1),
  python3-lxml,
  python3-oslo.config,
+ python3-requests,
  python3-testtools,
- python3-requests,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

## keystone-tempest-plugin 0.18.0

=== debian/changelog ===
keystone-tempest-plugin (0.18.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 20:41:01 +0000

keystone-tempest-plugin (0.18.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:39:29 +0100

keystone-tempest-plugin (0.18.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:16:04 +0100

## keystone-tempest-plugin 0.19.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

# xml parsing
keystoneauth1>=5.1.1 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
tempest>=17.1.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
testtools>=2.2.0 # MIT
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
keystone-tempest-plugin (0.19.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:33:42 +0200

keystone-tempest-plugin (0.19.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:40:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/keystone-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz
